%define languageenglazy Hungarian
%define languagecode    hu
%define lc_ctype        hu_HU

Name:           hunspell-%{languagecode}
Version:        1.6.1
Release:        %mkrel 15
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+ or GPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            https://magyarispell.sourceforge.net/
Source0:        https://downloads.sourceforge.net/magyarispell/hu_HU-%{version}.tar.gz

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-hu
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n %{lc_ctype}-%{version}

%build
chmod -x *.*

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_hu_HU.txt LEIRAS.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.6.1-15.mga10
+ Revision: 2196891
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 1.6.1-14.mga9
+ Revision: 1801172
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.6.1-13.mga8
+ Revision: 1490518
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.6.1-12.mga7
+ Revision: 1262212
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.6.1-11.mga6
+ Revision: 931597
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.1-10.mga5
+ Revision: 745753
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.1-9.mga5
+ Revision: 680253
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.6.1-8.mga4
+ Revision: 505575
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.6.1-7.mga3
+ Revision: 353501
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.6.1-6.mga3
+ Revision: 325400
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1.6.1-5.mga2
+ Revision: 224690
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 1.6.1-4.mga2
+ Revision: 207955
- use better obsoleting of myspell

* Mon Jan 23 2012 kamil <kamil> 1.6.1-3.mga2
+ Revision: 200235
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1.6.1-2.mga1
+ Revision: 68844
- imported package hunspell-hu


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Mar 31 2010 Caolan McNamara <caolanm@redhat.com> - 1.6.1-1
- latest version

* Sat Feb 06 2010 Caolan McNamara <caolanm@redhat.com> - 1.6-1
- latest version

* Thu Nov 05 2009 Caolan McNamara <caolanm@redhat.com> - 1.5-2
- source audit shows content changed silently upstream

* Thu Sep 17 2009 Caolan McNamara <caolanm@redhat.com> - 1.5-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 23 2008 Caolan McNamara <caolanm@redhat.com> - 1.4-1
- latest version

* Mon Mar 17 2008 Caolan McNamara <caolanm@redhat.com> - 1.3-1
- latest version

* Mon Nov 05 2007 Caolan McNamara <caolanm@redhat.com> - 1.2.2-1
- latest version

* Tue Oct 02 2007 Caolan McNamara <caolanm@redhat.com> - 1.2.1-1
- latest version

* Fri Aug 03 2007 Caolan McNamara <caolanm@redhat.com> - 1.2-2
- clarify that this is tri-licenced

* Fri Jun 01 2007 Caolan McNamara <caolanm@redhat.com> - 1.2-1
- next version

* Sat May 05 2007 Caolan McNamara <caolanm@redhat.com> - 1.1.1-1
- latest canonical version

* Wed Feb 14 2007 Caolan McNamara <caolanm@redhat.com> - 0.20061105-2
- match licence

* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 0.20061105-1
- initial version
